org.optaplanner.core.impl.score.stream.drools.common

## Class DroolsAbstractUniCollectingGroupByCollectorProcessor<ResultContainer,InTuple,KeyTuple,OutTuple>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractUniCollectingGroupByCollectorProcessor<ResultContainer,InTuple,KeyTuple,OutTuple>

- All Implemented Interfaces:
    Serializable, GroupByCollectorProcessor<InTuple,OutTuple>

      public abstract class DroolsAbstractUniCollectingGroupByCollectorProcessor<ResultContainer,InTuple,KeyTuple,OutTuple>
      extends Object

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsAbstractUniCollectingGroupByCollectorProcessor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Runnable` | `accumulate(InTuple input)`
    `protected void` | `addTuple(KeyTuple tuple)`
    `protected Set<KeyTuple>` | `clearDirtyTupleSet()`
    `Collection<OutTuple>` | `finish()`
    `protected abstract ResultContainer` | `newContainer()`
    `protected abstract Runnable` | `process(InTuple tuple, ResultContainer container)`
    `protected long` | `removeTuple(KeyTuple tuple)`
    `protected abstract KeyTuple` | `toKey(InTuple tuple)`
    `protected abstract OutTuple` | `toResult(KeyTuple key, ResultContainer container)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsAbstractUniCollectingGroupByCollectorProcessor

          public DroolsAbstractUniCollectingGroupByCollectorProcessor()

  - ### Method Detail

    - #### accumulate

          public Runnable accumulate(InTuple input)

    - #### finish

          public Collection<OutTuple> finish()

    - #### toKey

          protected abstract KeyTuple toKey(InTuple tuple)

    - #### newContainer

          protected abstract ResultContainer newContainer()

    - #### process

          protected abstract Runnable process(InTuple tuple,
                                              ResultContainer container)

    - #### toResult

          protected abstract OutTuple toResult(KeyTuple key,
                                               ResultContainer container)

    - #### addTuple

          protected void addTuple(KeyTuple tuple)

    - #### removeTuple

          protected long removeTuple(KeyTuple tuple)

    - #### clearDirtyTupleSet

          protected Set<KeyTuple> clearDirtyTupleSet()

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.